/****************************************************************************
File    : CartridgeDlg.h
/*
@(#) #SY# Atari800Win
@(#) #IS# Interface of the CCartridgeDlg class
@(#) #BY# Richard Lawrence, Harry (modifications and code maintenance)
@(#) #LM# 26.02.2000
*/

#ifndef __CARTRIDGEDLG_H__
#define __CARTRIDGEDLG_H__

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000


/////////////////////////////////////////////////////////////////////////////
// CCartridgeDlg dialog

class CCartridgeDlg : public CDialog
{
// Construction
public:
	CCartridgeDlg( CWnd *pParent = NULL );   // standard constructor

// Interface: operations
public:

// Interface: attributes
public:

// Dialog Data
	//{{AFX_DATA(CCartridgeDlg)
	enum { IDD = IDD_CARTRIDGE };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

// Implementation: operations
private:
	void SetDlgState( void );

// Implementation: overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCartridgeDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation: attributes
private:
	char m_szOtherROM[ MAX_PATH ];
	int  m_nCartState;
	BOOL m_bReboot;

// Generated message map functions
protected:
	//{{AFX_MSG(CCartridgeDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnBasicRom();
	afx_msg void OnOtherRom();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

#endif //__CARTRIDGEDLG_H__
